org.eclipse.incquery.runtime.matchers.psystem

## Enum PConstraint.CompareByMonotonousID

- java.lang.Object
- - java.lang.Enum<PConstraint.CompareByMonotonousID>
  - - org.eclipse.incquery.runtime.matchers.psystem.PConstraint.CompareByMonotonousID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PConstraint.CompareByMonotonousID>, java.util.Comparator<PConstraint>
  Enclosing interface:
    PConstraint

      public static enum PConstraint.CompareByMonotonousID
      extends java.lang.Enum<PConstraint.CompareByMonotonousID>
      implements java.util.Comparator<PConstraint>

  Compares by `PConstraint.getMonotonousID()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(PConstraint arg0, PConstraint arg1)`
    `static PConstraint.CompareByMonotonousID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PConstraint.CompareByMonotonousID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final PConstraint.CompareByMonotonousID INSTANCE

  - ### Method Detail

    - #### values

          public static PConstraint.CompareByMonotonousID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PConstraint.CompareByMonotonousID c : PConstraint.CompareByMonotonousID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PConstraint.CompareByMonotonousID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### compare

          public int compare(PConstraint arg0,
                             PConstraint arg1)

      Specified by:
        `compare` in interface `java.util.Comparator<PConstraint>`